I thought people learned that in '98

Europcar has a nice big splash screen, which forces you to pick which browser you’re using before being let into their page. Never mind that the latest version of Netscape they mention is Netscape 4.03 (when was that, anyway?). They also offer helpful downloads of IE and Netscape. Bleh.

1 comment

This is my favorite t-online.de - these guys have almost all sites indexed in Google with this helpful summary: <blockquote> Um diese Seite sehen zu können, müssen Sie eine Version des Microsoft Internet Explorer 4.0 oder höher oder des Netscape 4.08 oder höher besitzen. </blockquote>
By Branimir Dolicki on Tue, Jun 10, 03 at 05:43 · Reply
  Cancel

Leave a comment